mbSet<-Init.mbSetObj()
mbSet<-SetModuleType(mbSet, "mdp")
mbSet<-ReadSampleTable(mbSet, "meta.txt");
mbSet<-Read16STaxaTable(mbSet, "tax_table.txt");
mbSet<-Read16SAbundData(mbSet, "otu_table.txt","text","Others/Not_specific","T");
mbSet<-SanityCheckData(mbSet, "text");
mbSet<-PlotLibSizeView(mbSet, "norm_libsizes_0","png");
mbSet<-CreatePhyloseqObj(mbSet, "text","Others/Not_specific","F")
mbSet<-ApplyAbundanceFilter(mbSet, "prevalence", 4, 0.2);
mbSet<-ApplyVarianceFilter(mbSet, "iqr", 0.1);
mbSet<-PerformNormalization(mbSet, "none", "colsum", "none");
mbSet<-PlotTaxaAundanceBar(mbSet, "taxa_alpha_0","Phylum","Concentration", "null", "barraw",10, "set3","sum",10, "bottom","png");
mbSet<-PlotTaxaAundanceBar(mbSet, "taxa_alpha_1","Phylum","Concentration", "none", "barnorm",10, "grad","sum",10, "bottom","png");
mbSet<-PlotTaxaAundanceBar(mbSet, "taxa_alpha_2","Genus","Concentration", "none", "barnorm",10, "grad","sum",10, "bottom","png");
mbSet<-PlotTaxaAundanceBar(mbSet, "taxa_alpha_3","Species","Concentration", "none", "barnorm",10, "grad","sum",10, "bottom","png");
mbSet<-PlotRarefactionCurve(mbSet, "filt","Concentration","Concentration","Concentration","5","rarefaction_curve_0","png");
mbSet<-PlotAlphaData(mbSet, "filt","alpha_diver_0","Chao1","Concentration","OTU", "default", "png");
mbSet<-PlotAlphaBoxData(mbSet, "alpha_diverbox_0","Chao1","Concentration","default", "png");
mbSet<-PerformAlphaDiversityComp(mbSet, "tt","Concentration");
mbSet<-PlotAlphaData(mbSet, "orig","alpha_diver_1","Chao1","Concentration","OTU", "default", "png");
mbSet<-PlotAlphaBoxData(mbSet, "alpha_diverbox_1","Chao1","Concentration","default", "png");
mbSet<-PerformAlphaDiversityComp(mbSet, "nonpar","Concentration");
mbSet<-PlotAlphaData(mbSet, "orig","alpha_diver_2","Chao1","Concentration","OTU", "default", "png");
mbSet<-PlotAlphaBoxData(mbSet, "alpha_diverbox_2","Chao1","Concentration","default", "png");
mbSet<-PerformAlphaDiversityComp(mbSet, "tt","Concentration");
mbSet<-PlotAlphaData(mbSet, "orig","alpha_diver_3","Chao1","Concentration","OTU", "default", "png");
mbSet<-PlotAlphaBoxData(mbSet, "alpha_diverbox_3","Chao1","Concentration","default", "png");
mbSet<-PerformAlphaDiversityComp(mbSet, "nonpar","Concentration");
mbSet<-PlotBetaDiversity(mbSet, "beta_diver_0","PCoA","bray","expfac","Concentration","none","OTU","","Chao1", "yes", "png", 72, "default");
mbSet<-PCoA3D.Anal(mbSet, "PCoA","bray","OTU","expfac","Concentration","","Chao1","beta_diver3d_0.json")
mbSet<-PerformCategoryComp(mbSet, "adonis","bray","Concentration");
mbSet<-PlotHeatmap(mbSet, "heatmap_0","euclidean","ward.D","bwm","Concentration","OTU","overview","F", "png","T","F");
mbSet<-PlotHeatmap(mbSet, "heatmap_1","euclidean","ward.D","bwm","Concentration","Species","overview","F", "png","T","F");
mbSet<-PlotHeatmap(mbSet, "heatmap_2","euclidean","ward.D","bwm","Concentration","Genus","overview","F", "png","T","F");
mbSet<-PerformMetagenomeSeqAnal(mbSet, "Concentration",0.05,"NA","OTU","zigfit");
mbSet<-PerformMetagenomeSeqAnal(mbSet, "Concentration",0.05,"NA","Species","zigfit");
mbSet<-RF.Anal(mbSet, 500,7,1,"Concentration","OTU")
mbSet<-PlotRF.Classify(mbSet, 15, "rf_cls_0","png", width=NA)
mbSet<-PlotRF.VIP(mbSet, 15, "rf_imp_0","png", width=NA)
mbSet<-RF.Anal(mbSet, 500,7,1,"Concentration","Species")
mbSet<-PlotRF.Classify(mbSet, 15, "rf_cls_1","png", width=NA)
mbSet<-PlotRF.VIP(mbSet, 15, "rf_imp_1","png", width=NA)
mbSet<-RF.Anal(mbSet, 500,7,1,"Concentration","Genus")
mbSet<-PlotRF.Classify(mbSet, 15, "rf_cls_2","png", width=NA)
mbSet<-PlotRF.VIP(mbSet, 15, "rf_imp_2","png", width=NA)
mbSet<-PlotHeatmap(mbSet, "heatmap_3","euclidean","ward.D","bwm","Concentration","Species","overview","F", "png","T","F");
